/* Темнее */
[data-bs-theme=b1] {
    --bs-body-color: #d0d0d0;
    --bs-body-color-rgb: 208, 208, 208;
    --bs-body-bg: #212529;
    --bs-body-bg-rgb: 33, 37, 41;
    --bs-emphasis-color: #f8f9fa;
    --bs-emphasis-color-rgb: 248, 249, 250;
    --bs-secondary-color: rgba(173, 181, 189, 0.75);
    --bs-secondary-color-rgb: 173, 181, 189;
    --bs-secondary-bg: #343a40;
    --bs-secondary-bg-rgb: 52, 58, 64;
    --bs-tertiary-color: rgba(173, 181, 189, 0.5);
    --bs-tertiary-color-rgb: 173, 181, 189;
    --bs-tertiary-bg: #2b3035;
    --bs-tertiary-bg-rgb: 43, 48, 53;
    --bs-primary-text: #6ea8fe;
    --bs-secondary-text: #dee2e6;
    --bs-success-text: #75b798;
    --bs-info-text: #6edff6;
    --bs-warning-text: #ffda6a;
    --bs-danger-text: #ea868f;
    --bs-light-text: #f8f9fa;
    --bs-dark-text: #dee2e6;
    --bs-primary-bg-subtle: #031633;
    --bs-secondary-bg-subtle: #212529;
    --bs-success-bg-subtle: #051b11;
    --bs-info-bg-subtle: #032830;
    --bs-warning-bg-subtle: #332701;
    --bs-danger-bg-subtle: #2c0b0e;
    --bs-light-bg-subtle: #343a40;
    --bs-dark-bg-subtle: #1a1d20;
    --bs-primary-border-subtle: #084298;
    --bs-secondary-border-subtle: #495057;
    --bs-success-border-subtle: #0f5132;
    --bs-info-border-subtle: #055160;
    --bs-warning-border-subtle: #664d03;
    --bs-danger-border-subtle: #842029;
    --bs-light-border-subtle: #495057;
    --bs-dark-border-subtle: #343a40;
    --bs-heading-color: #90d0d0;
    --bs-link-color: #eeeeee;
    --bs-link-hover-color: #ffff50;
    --bs-link-color-rgb: 238, 238, 238;
    --bs-link-hover-color-rgb: 255, 255, 80;
    --bs-code-color: #e685b5;
    --bs-border-color: #495057;
    --bs-border-color-translucent: rgba(255, 255, 255, 0.15);
    --bs-form-control-bg: #252525;
}

/* Слегка светлее */
[data-bs-theme=b2] {
    --bs-body-color: #e0e0e0;
    --bs-body-color-rgb: 224, 224, 224;
    --bs-body-bg: #212529;
    --bs-body-bg-rgb: 33, 37, 41;
    --bs-emphasis-color: #f8f9fa;
    --bs-emphasis-color-rgb: 248, 249, 250;
    --bs-secondary-color: #c0c0c0;
    --bs-secondary-color-rgb: 192, 192, 192;
    --bs-secondary-bg: #343a40;
    --bs-secondary-bg-rgb: 52, 58, 64;
    --bs-tertiary-color: rgba(173, 181, 189, 0.5);
    --bs-tertiary-color-rgb: 173, 181, 189;
    --bs-tertiary-bg: #2b3035;
    --bs-tertiary-bg-rgb: 43, 48, 53;
    --bs-primary-text: #6ea8fe;
    --bs-secondary-text: #dee2e6;
    --bs-success-text: #75b798;
    --bs-info-text: #6edff6;
    --bs-warning-text: #ffda6a;
    --bs-danger-text: #ea868f;
    --bs-light-text: #f8f9fa;
    --bs-dark-text: #dee2e6;
    --bs-primary-bg-subtle: #031633;
    --bs-secondary-bg-subtle: #212529;
    --bs-success-bg-subtle: #051b11;
    --bs-info-bg-subtle: #032830;
    --bs-warning-bg-subtle: #332701;
    --bs-danger-bg-subtle: #2c0b0e;
    --bs-light-bg-subtle: #343a40;
    --bs-dark-bg-subtle: #1a1d20;
    --bs-primary-border-subtle: #084298;
    --bs-secondary-border-subtle: #495057;
    --bs-success-border-subtle: #0f5132;
    --bs-info-border-subtle: #055160;
    --bs-warning-border-subtle: #664d03;
    --bs-danger-border-subtle: #842029;
    --bs-light-border-subtle: #495057;
    --bs-dark-border-subtle: #343a40;
    --bs-heading-color: #90d0d0;
    --bs-link-color: #eeeeee;
    --bs-link-hover-color: #ffff50;
    --bs-link-color-rgb: 238, 238, 238;
    --bs-link-hover-color-rgb: 255, 255, 80;
    --bs-code-color: #e685b5;
    --bs-border-color: #495057;
    --bs-border-color-translucent: rgba(255, 255, 255, 0.15);
    --bs-form-control-bg: #252525;
}

[data-bs-theme=b1] .form-select,
[data-bs-theme=b2] .form-select {
    --bs-form-select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}

.btn-outline-notable {
    --bs-btn-color: #FF3399;
    --bs-btn-border-color: #FF3399;
    --bs-btn-hover-color: #FFFFFF;
    --bs-btn-hover-bg: #FF3399;
    --bs-btn-hover-border-color: #FF3399;
    --bs-btn-focus-shadow-rgb: 255, 51, 153;
    --bs-btn-active-color: #FFFFFF;
    --bs-btn-active-bg: #FF3399;
    --bs-btn-active-border-color: #FF3399;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #FF3399;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #FF3399;
    --bs-gradient: none;
}

:root {
    --bs-notable-rgb: 255, 51, 153;
    --bs-highlight-rgb: 204, 255, 204;
}

.text-notable {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-notable-rgb), var(--bs-text-opacity)) !important;
}


.btn-outline-highlight {
    --bs-btn-color: #CCFFCC;
    --bs-btn-border-color: #CCFFCC;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #CCFFCC;
    --bs-btn-hover-border-color: #CCFFCC;
    --bs-btn-focus-shadow-rgb: 204, 255, 153;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #CCFFCC;
    --bs-btn-active-border-color: #CCFFCC;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #CCFFCC;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #CCFFCC;
    --bs-gradient: none;
}

.text-highlight {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-highlight-rgb), var(--bs-text-opacity)) !important;
}

/* Фикс кнопок внутри таблицы */
.table>:not(caption)>*>button {
    background-color: var(--bs-btn-bg);
}